Bug 214247 - mailman mm_cfg.py is symlink in /etc and it shouldn't be
mailman mm_cfg.py is symlink in /etc and it shouldn't be
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Depends On:
  Show dependency treegraph
Reported: 2006-11-06 14:39 EST by Eric Hopper
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-30 03:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2006-11-06 14:39:07 EST
ls -l /etc/mailman/mm_cfg.py reveals that it is a symlink to
/usr/lib/mailman/Mailman/mm_cfg.py .  It should be the other way around.

I'm trying to put all the things I change in my /etc directory under version
control to make future upgrades go more smoothly, and to track what config
changes I've made.

My version control tool won't handle symlinks, and even if it did it wouldn't be
storing the contents of the file being pointed at, but the contents of the
pointer.  Things in /etc shouldn't be symlinks.
Comment 1 Harald Hoyer 2006-11-07 07:46:47 EST
Comment 2 Tomas Smetana 2007-04-24 08:34:37 EDT
This comment can be found in the mailman.spec file:

Create a link so that the config file mm_cfg.py appears in config directory
/etc/mailman. We don't put mm_cfg.py in the config directory because its
executable code (python file) and the security policy wants to keep executable
code out of /etc and inside of a lib directory instead, and because
traditionally mm_cfg.py was in the Mailman subdirectory and experienced mailman
admins will expect to find it there.

It's really difficult to decide which is right. I would appreciate any comments
about this.
Comment 3 Eric Hopper 2007-04-24 10:42:40 EDT
The only comment I have is that it would sure be nice if I could version control
/etc and have it catch everything I cared about.  :-)  I suppose mm_cfg.py is
executable.  You could put potentially anything in there, but in practice all it
does is set a whole bunch of variables, much like any other config file.

In the interests of making my version control scheme work, I've already swapped
it so the /etc one is the real file and there's a symlink in /usr/lib/Mailman
Comment 4 Tomas Smetana 2007-04-30 03:23:18 EDT
Well. I don't like the idea of taking mm_cfg.py off the Mailman tree. Anyone who
administers mailman is also used to have the config file in /usr/lib/mailman. So
I think the symlink in /etc is a better compromise.

Note You need to log in before you can comment on or make changes to this bug.